pike.git / lib / modules / Protocols.pmod / LDAP.pmod / client.pike

version» Context lines:

pike.git/lib/modules/Protocols.pmod/LDAP.pmod/client.pike:697: Inside #if undefined(PARSE_RFCS)
   //ldap=0;    //ok = 0;    //if(con_fail)    // con_fail(this, @extra_args);    ERROR ("Failed to connect to LDAP server: %s\n", ldap_rem_errstr);    }      #if constant(SSL.Cipher)    if(lauth->scheme == "ldaps") {    SSL.File ssl_fd = SSL.File(low_fd, context); +  ssl_fd->set_blocking(); // NB: SSL.File defaults to non-blocking mode.    if (!ssl_fd->connect()) {    ERROR("Failed to connect to LDAPS server.\n");    }    ::create(ssl_fd);    info->tls_version = ldapfd->version;    } else    ::create(low_fd);   #else    if(lauth->scheme == "ldaps") {    THROW(({"LDAP: LDAPS is not available without SSL support.\n",backtrace()}));